package com.ym.mec.biz.service;


import com.ym.mec.biz.dal.dto.MusicScoreDto;
import com.ym.mec.biz.dal.dto.SysMusicScoreTranscod;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.page.SysExamSongQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SysMusicScoreService extends BaseService<Integer, SysMusicScore> {

    void updateMusicScore(MusicScoreDto musicScoreDto);

    void add(MusicScoreDto musicScoreDto);

    void del(Integer id);

    List<SysMusicScore> queryMusicScoreAll(SysExamSongQueryInfo queryInfo);

    PageInfo<SysMusicScore> queryMusicScorePage(SysExamSongQueryInfo queryInfo);
    
    PageInfo<SysMusicScore> queryMusicScorePageInfo(SysExamSongQueryInfo queryInfo);

    void transcod(Integer sysMusicScoreId);
}